Bug 429443 - Review Request: fantasdic - Dictionary application using Ruby
Review Request: fantasdic - Dictionary application using Ruby
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-19 23:42 EST by Mamoru TASAKA
Modified: 2008-01-22 01:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 01:02:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-01-19 23:42:11 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/fantasdic/fantasdic.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/fantasdic/fantasdic-1.0-0.1.beta5.fc8.src.rpm
Description: 
Fantasdic is a dictionary application. It allows to look up words in 
various dictionary sources. It is primarily targetting the GNOME 
desktop but it should work with other platforms, including Windows. 
Fantasdic is Free Software.

scratch build on koji, dist-f9 is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=359451
Comment 1 Jason Tibbitts 2008-01-21 17:33:48 EST
Builds fine and seems to work well enough.  

I don't understand why you have
  BuildRequires:  ruby(abi) = %{rubyabi}
I don't suppose it hurts anything, except to prevent this from building if the
ABI happens to change.

I thought it odd that --without-scrollkeeper is passed to setup.rb, but it looks
like the files make it to the right place.  Actually for an application this
simple the spec is amazingly complex, but it all seems to work so I don't see
any real problems with it.

* source files match upstream:
   7c05264b53f24e8738977f27ef7015cda952505461ad7b45a1f7fddeaa7835c2  
   fantasdic-1.0-beta5.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
? BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   fantasdic = 1.0-0.1.beta5.fc9
  =
   /bin/sh
   /usr/bin/ruby
   ruby
   ruby(abi) = 1.8
   ruby(gconf2)
   ruby(gettext-package)
   ruby(gnome2)
   ruby(gtk2)
   ruby(libglade2)
   scrollkeeper

* %check is not present; no test suite upstream.  I installed this package and 
  it seems to work well enough.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (scrollkeper, icon cache)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* desktop file looks correct and is installed properly.
* Localization files are installed properly.

APPROVED
Comment 2 Mamoru TASAKA 2008-01-21 21:28:14 EST
Thank you!

(In reply to comment #1)
> I don't understand why you have
>   BuildRequires:  ruby(abi) = %{rubyabi}
> I don't suppose it hurts anything, except to prevent this from building if the
> ABI happens to change.
Yes. Without this when ruby is updated to 1.9 the srpm can still be
rebuilt but the rebuilt binary rpm requires ruby 1.8, which I want to
avoid.

> I thought it odd that --without-scrollkeeper is passed to setup.rb, but it looks
> like the files make it to the right place.  
Yes. from data/omf/fantasdic/post-install.rb (and from "ruby setup.rb
--help") this option supresses
the execution of "scrollkeeper" command on installation and this is not
for not installing omf files.


New Package CVS Request
=======================
Package Name:      fantasdic
Short Description: Dictionary application using Ruby
Owners:            mtasaka
Branches:          F-8 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-01-21 23:51:09 EST
cvs done.
Comment 4 Mamoru TASAKA 2008-01-22 01:02:14 EST
Rebuilt on all branches, requested on bodhi to push, closing.

Thank you for the review and CVS procedure!

Note You need to log in before you can comment on or make changes to this bug.